Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 5854 - vim-enhanced, vim-X11, and vim-common use different share dirs
Summary: vim-enhanced, vim-X11, and vim-common use different share dirs
Keywords:
Status: CLOSED RAWHIDE
Alias: None
Product: Red Hat Linux
Classification: Retired
Component: vim
Version: 6.1
Hardware: i386
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Michael K. Johnson
QA Contact:
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 1999-10-12 01:10 UTC by Mike Gerdts
Modified: 2008-05-01 15:37 UTC (History)
0 users

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2000-02-05 20:39:48 UTC


Attachments (Terms of Use)

Description Mike Gerdts 1999-10-12 01:10:13 UTC
/usr/bin/vim and /usr/X11R6/bin/gvim expect to find syntax
files in /usr/share/vim/syntax/.  vim-common placed the
files in /usr/share/vim/vim54/syntax/.  This breaks .vimrc
files that need to interoperate with other vim
installations, including Red Hat 5.2 (vim-common-5.3-3).

A temporary workaround is to set the environment variable
VIM to /usr/share/vim/vim54, causing vim to ignore the
builtin default value of $VIM.

Comment 1 Michael K. Johnson 1999-11-19 15:10:59 UTC
Can you explain why in a .vimrc file you would need to give complete paths
to syntax files?  :syntax on seems to work for me with no workarounds
whatsoever.  I have no files in /usr/share/vim except for the vim54
directory.  I don't see any bugs here.

Comment 2 Bill Nottingham 2000-02-05 20:39:59 UTC
Works for me fine with the current vim in Raw Hide.


Note You need to log in before you can comment on or make changes to this bug.